<?php
/**
 * ´û¿î²úÆ·Àà
 */
 class ZsbLoanProduct extends Loan {
    public function __construct($table = 'zsb_loan_product') {
        parent::__construct($table);
    }    
    

public function findListByType($conf,$order='',$offset='',$limit='') {
    $sql = SqlCombinHelper::select_sql($this->table, $this->fields,"type_id=".$conf);
    if($order) {
        $sql .= " ORDER BY $order";
    }
	
    if($offset){
      $sql .= " LIMIT ".$offset.",".$limit;
     }elseif($limit) {
        $sql .= " LIMIT $limit";
    }

    return $this->db->GetAll($sql);
}
    
public function findListBy($conf,$order='',$offset='',$limit='') {
    $sql = SqlCombinHelper::select_sql($this->table, $this->fields,$conf);
    if($order) {
        $sql .= " ORDER BY $order";
    }
    if($limit && $offset){
      $sql .= " LIMIT ".$offset.",".$limit;
     }elseif($limit) {
        $sql .= " LIMIT $limit";
    }

    return $this->db->GetAll($sql);
}
    
   
      public function test(){
       echo "test";
   }
    
}
    
    
    

